%define  oname  devicenotifier_automount
Summary:	devicenotifier-applet which mounts the new media after it was inserted
Name:		plasma-applet-devicenotifier-automount
Version: 	0.3
Release: 	%mkrel 8
Source:         91517-%{oname}_%{version}.tar.xz
Source1:	plasma-applet-devicenotifier_automount.desktop	
License: 	GPL
Group: 		Graphical desktop/KDE4
Url: 		http://kde-look.org/content/show.php/Daisy?content=102077
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  rpmlib(CompressedFileNames) <= 3.0.4-1
BuildRequires:	kdelibs-devel >= 4.8.2
BuildRequires:	kde4-macros
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version


%description 
An extended version of the original devicenotifier-applet which mounts the new media after it was inserted.
The volumes are mounted with special options for every filesystem. I will make these options configurable 
in later versions of the applet. This will be the goal for the next version but it's complicated because 
I have to seperate the user-interface and translations from the original plasmoid.

The mountoptions can be changed in devicenotifier_automount.cpp in the function DeviceNotifier::mountDevice().



%prep
%setup -q -n %{oname}



%build
%cmake ../src
%make


%install
rm -rf %buildroot
cd build
%{makeinstall_std}
cd -
# overwrite with corrected desktop file
install -m 644 %SOURCE1 %buildroot/%{_kde_datadir}/kde4/services/plasma-applet-devicenotifier_automount.desktop


%files
%defattr(-,root,root)
%{_kde_libdir}/kde4/plasma_applet_devicenotifier_automount.so
%{_kde_datadir}/kde4/services/plasma-applet-devicenotifier_automount.desktop


%clean
rm -rf %{buildroot}


%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde

